Grafana Cloud

Projects REST API

Note

The documentation for this API is also available as an OpenAPI description.

List limits for all projects

GET /cloud/v6/project-limits

List limits for all projects.

Request parameters

NameDescriptionInRequiredType
X-Stack-Id

Numeric ID of the Grafana stack representing the request scope.

  • If the API is called with a Personal API token, the user must be a member of the specified stack.
  • If the API is called with a Grafana Stack API token, the value must be the ID of the corresponding stack.
headertrueinteger
$countInclude collection length in the response object as @count.queryfalseboolean
$skipThe initial index from which to return the results.queryfalseinteger
$topNumber of results to return per page.
Default: 1000
Maximum: 1000
queryfalseinteger
project_id_inFilter results by project ID (comma-separated list of IDs).queryfalseArray[integer]

200 response

OK.

Content types: application/json

ProjectLimitsListResponse properties:

NameDescriptionRequiredType
@countObject count in the collection.falseinteger
@nextLinkA reference to the next page of results. The property is included until there are no more pages of results to retrieve.falsestring , format: uri
valueList of the resulting values.trueArray[ProjectLimitsApiModel]

ProjectLimitsApiModel properties:

NameDescriptionRequiredType
duration_max_per_testMax duration of a test in seconds.trueinteger | null
project_idID of the related project.trueinteger , format: int64
vu_browser_max_per_testMax number of concurrent browser virtual users (VUs) used in one test.trueinteger | null
vu_max_per_testMax number of concurrent virtual users (VUs) used in one test.trueinteger | null
vuh_max_per_monthMax amount of virtual user hours (VUH) used per one calendar month.trueinteger | null
OK example
{
  "@count": 123,
  "@nextLink": "https://api.k6.io/cloud/v6/project-limits?$skip=50\u0026$top=20",
  "value": [
    {
      "duration_max_per_test": 600,
      "project_id": 123,
      "vu_browser_max_per_test": 5,
      "vu_max_per_test": null,
      "vuh_max_per_month": 50
    }
  ]
}

400 response

Request validation error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

401 response

Invalid token or authentication scheme.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

403 response

The user does not have permission to perform this action.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

500 response

Unexpected error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

List all projects

GET /cloud/v6/projects

List all available projects.

Request parameters

NameDescriptionInRequiredType
X-Stack-Id

Numeric ID of the Grafana stack representing the request scope.

  • If the API is called with a Personal API token, the user must be a member of the specified stack.
  • If the API is called with a Grafana Stack API token, the value must be the ID of the corresponding stack.
headertrueinteger
$countInclude collection length in the response object as @count.queryfalseboolean
$orderby

Comma-separated list of fields to use when ordering the results. Available fields:

  • created
  • name

The default ascending order can be reversed by appending the desc specifier.

queryfalsestring
$skipThe initial index from which to return the results.queryfalseinteger
$topNumber of results to return per page.
Default: 1000
Maximum: 1000
queryfalseinteger
nameFilter results by project name (exact match).queryfalsestring
name_searchSearch projects by name.queryfalsestring

200 response

OK.

Content types: application/json

ProjectListResponse properties:

NameDescriptionRequiredType
@countObject count in the collection.falseinteger
@nextLinkA reference to the next page of results. The property is included until there are no more pages of results to retrieve.falsestring , format: uri
valueList of the resulting values.trueArray[ProjectApiModel]

ProjectApiModel properties:

NameDescriptionRequiredType
createdThe date when the project was created.truestring , format: date-time
grafana_folder_uidGrafana folder UID.truestring | null
idProject ID.trueinteger , format: int64
is_defaultUse this project as default for running tests when no explicit project ID is provided.trueboolean
labelsProject labels.falseobject
nameProject name.truestring
updatedThe date when the project was last updated.truestring , format: date-time
OK example
{
  "@count": 123,
  "@nextLink": "https://api.k6.io/cloud/v6/projects?$skip=50\u0026$top=20",
  "value": [
    {
      "created": "2024-12-04T19:57:46.339Z",
      "grafana_folder_uid": "de0chath6zxfkb",
      "id": 123,
      "is_default": false,
      "name": "My Project",
      "updated": "2024-12-04T19:57:46.339Z"
    }
  ]
}

400 response

Request validation error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

401 response

Invalid token or authentication scheme.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

403 response

The user does not have permission to perform this action.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

500 response

Unexpected error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

Create a project

POST /cloud/v6/projects

Create a new project.

Request parameters

NameDescriptionInRequiredType
X-Stack-Id

Numeric ID of the Grafana stack representing the request scope.

  • If the API is called with a Personal API token, the user must be a member of the specified stack.
  • If the API is called with a Grafana Stack API token, the value must be the ID of the corresponding stack.
headertrueinteger

Request body

Content types: application/json

CreateProjectApiModel properties:

NameDescriptionRequiredType
nameProject name.truestring
Create example
{
  "name": "My Project"
}

201 response

OK.

Content types: application/json

ProjectApiModel properties:

NameDescriptionRequiredType
createdThe date when the project was created.truestring , format: date-time
grafana_folder_uidGrafana folder UID.truestring | null
idProject ID.trueinteger , format: int64
is_defaultUse this project as default for running tests when no explicit project ID is provided.trueboolean
labelsProject labels.falseobject
nameProject name.truestring
updatedThe date when the project was last updated.truestring , format: date-time
OK example
{
  "created": "2024-12-04T19:57:46.339Z",
  "grafana_folder_uid": "de0chath6zxfkb",
  "id": 123,
  "is_default": false,
  "name": "My Project",
  "updated": "2024-12-04T19:57:46.339Z"
}

400 response

Request validation error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

401 response

Invalid token or authentication scheme.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

403 response

The user does not have permission to perform this action.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

409 response

Project name is already in use or maximum number of projects (1000) reached.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

500 response

Unexpected error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

Get a project by ID

GET /cloud/v6/projects/{id}

Retrieve a single project.

Request parameters

NameDescriptionInRequiredType
X-Stack-Id

Numeric ID of the Grafana stack representing the request scope.

  • If the API is called with a Personal API token, the user must be a member of the specified stack.
  • If the API is called with a Grafana Stack API token, the value must be the ID of the corresponding stack.
headertrueinteger
idID of the project.pathtrueinteger , format: int64

200 response

OK.

Content types: application/json

ProjectApiModel properties:

NameDescriptionRequiredType
createdThe date when the project was created.truestring , format: date-time
grafana_folder_uidGrafana folder UID.truestring | null
idProject ID.trueinteger , format: int64
is_defaultUse this project as default for running tests when no explicit project ID is provided.trueboolean
labelsProject labels.falseobject
nameProject name.truestring
updatedThe date when the project was last updated.truestring , format: date-time
OK example
{
  "created": "2024-12-04T19:57:46.339Z",
  "grafana_folder_uid": "de0chath6zxfkb",
  "id": 123,
  "is_default": false,
  "name": "My Project",
  "updated": "2024-12-04T19:57:46.339Z"
}

401 response

Invalid token or authentication scheme.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

403 response

The user does not have permission to perform this action.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

404 response

Resource not found.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

500 response

Unexpected error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

Delete a project

DELETE /cloud/v6/projects/{id}

Delete a project.

Request parameters

NameDescriptionInRequiredType
X-Stack-Id

Numeric ID of the Grafana stack representing the request scope.

  • If the API is called with a Personal API token, the user must be a member of the specified stack.
  • If the API is called with a Grafana Stack API token, the value must be the ID of the corresponding stack.
headertrueinteger
idID of the project.pathtrueinteger , format: int64

204 response

OK.

401 response

Invalid token or authentication scheme.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

403 response

The user does not have permission to perform this action.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

404 response

Resource not found.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

409 response

Cannot delete project with a running test.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

500 response

Unexpected error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

Update a project

PATCH /cloud/v6/projects/{id}

Update a project.

Request parameters

NameDescriptionInRequiredType
X-Stack-Id

Numeric ID of the Grafana stack representing the request scope.

  • If the API is called with a Personal API token, the user must be a member of the specified stack.
  • If the API is called with a Grafana Stack API token, the value must be the ID of the corresponding stack.
headertrueinteger
idID of the project.pathtrueinteger , format: int64

Request body

Content types: application/json

PatchProjectApiModel properties:

NameDescriptionRequiredType
nameProject name.truestring
Update example
{
  "name": "New Project Name"
}

204 response

OK.

400 response

Request validation error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

401 response

Invalid token or authentication scheme.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

403 response

The user does not have permission to perform this action.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

404 response

Resource not found.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

409 response

Project name is already in use.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

500 response

Unexpected error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

Get project limits

GET /cloud/v6/projects/{id}/limits

Fetch limits for a project.

Request parameters

NameDescriptionInRequiredType
X-Stack-Id

Numeric ID of the Grafana stack representing the request scope.

  • If the API is called with a Personal API token, the user must be a member of the specified stack.
  • If the API is called with a Grafana Stack API token, the value must be the ID of the corresponding stack.
headertrueinteger
idID of the project.pathtrueinteger , format: int64

200 response

OK.

Content types: application/json

ProjectLimitsApiModel properties:

NameDescriptionRequiredType
duration_max_per_testMax duration of a test in seconds.trueinteger | null
project_idID of the related project.trueinteger , format: int64
vu_browser_max_per_testMax number of concurrent browser virtual users (VUs) used in one test.trueinteger | null
vu_max_per_testMax number of concurrent virtual users (VUs) used in one test.trueinteger | null
vuh_max_per_monthMax amount of virtual user hours (VUH) used per one calendar month.trueinteger | null
OK example
{
  "duration_max_per_test": 600,
  "project_id": 123,
  "vu_browser_max_per_test": 5,
  "vu_max_per_test": null,
  "vuh_max_per_month": 50
}

401 response

Invalid token or authentication scheme.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

403 response

The user does not have permission to perform this action.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

404 response

Resource not found.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

500 response

Unexpected error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

Update project limits

PATCH /cloud/v6/projects/{id}/limits

Update limits for a project.

Set a limit to null to remove it.

Request parameters

NameDescriptionInRequiredType
X-Stack-Id

Numeric ID of the Grafana stack representing the request scope.

  • If the API is called with a Personal API token, the user must be a member of the specified stack.
  • If the API is called with a Grafana Stack API token, the value must be the ID of the corresponding stack.
headertrueinteger
idID of the project.pathtrueinteger , format: int64

Request body

Content types: application/json

PatchProjectLimitsRequest properties:

NameDescriptionRequiredType
duration_max_per_testMax duration of a test in seconds.falseinteger | null
vu_browser_max_per_testMax number of concurrent browser virtual users (VUs) used in one test.falseinteger | null
vu_max_per_testMax number of concurrent virtual users (VUs) used in one test.falseinteger | null
vuh_max_per_monthMax amount of virtual user hours (VUH) used per one calendar month.falseinteger | null
RemoveAll example
{
  "duration_max_per_test": null,
  "vu_browser_max_per_test": null,
  "vu_max_per_test": null,
  "vuh_max_per_month": null
}
RemoveSingle example
{
  "duration_max_per_test": null
}
UpdateAll example
{
  "duration_max_per_test": 600,
  "vu_browser_max_per_test": 5,
  "vu_max_per_test": 20,
  "vuh_max_per_month": 50
}
UpdateSingle example
{
  "vuh_max_per_month": 55
}

204 response

OK.

400 response

Request validation error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

401 response

Invalid token or authentication scheme.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

403 response

The user does not have permission to perform this action.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

404 response

Resource not found.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

500 response

Unexpected error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null